Pocket

WordPress 2017年5月_脆弱性レポート  2017/6/12

2017年5月度のWordPressに関する脆弱性レポートをお知らせします。

5月度全体の脆弱性報告件数としては43件でした。4月度から21件減少しております。

個所別レポート

個所別の発生件数は、それぞれ本体で6件、テーマは2件、プラグインが35件でした。

内容ですが、本体に関しましては今月は6件の脆弱性が発生致しました。3月以来の発生です。
テーマに関しましては今月は脆弱性が2件発生いたしました。発生は2か月ぶりです。

また先月に引き続き最多発生はプラグインとなり、脆弱性に気を配る必要があることがわかります。

トピックス

前述のとおり本体に関しましては、脆弱性が6件発生しております。

内容としましては、ブログにて速報しております通り、バージョン4.7.4以下(正確には各脆弱性ごとにバージョンの範囲が異なります。詳細は記事下部にある表をご参照ください。)にクロスサイトリクエストフォージェリ(CSRF)やクロスサイトスクリプティング(XSS)等合計6件の脆弱性が発生しております。

(参照リンク:WordPress 4.7.5 Security and Maintenance Release

対策版に関しましては下表のとおりです。
(注:上記6件の脆弱性分を併せて記載しておりますのですべての脆弱性が下表に該当するわけではないのでご理解くださいませ。)

 

現在ご利用のバージョン 対策済みバージョン
2.5~3.6.1 4.7.5
3.7~3.7.20 3.7.21
3.8~3.8.20 3.8.21
3.9~3.9.18 3.9.19
4.0~4.0.17 4.0.18
4.1~4.1.17 4.1.18
4.2~4.2.14 4.2.15
4.3~4.3.10 4.3.11
4.4~4.4.9 4.4.10
4.5~4.5.8 4.5.9
4.6~4.6.5 4.6.6
4.7~4.7.4 4.7.5

(※2017年6月8日に最新バージョン4.8がリリースされております。)

 

テーマに関しましては前述のとおり脆弱性が2件発生しました。内容としてはクロスサイトリクエストフォージェリ(CSRF)とクロスサイトスクリプティング(XSS)です。

 

プラグインに関しましては、先月から29件減少し35件の脆弱性が発見されました。そのうち有名プラグインに脆弱性が発見されました。

 

1つ目は、アクティブインストール30万以上、総ダウンロード数491万以上の人気プラグイン『Photo Gallery by WD』にSQLインジェクション(エスキューエルインジェクション)の脆弱性が発生しております。

このプラグインは、写真ギャラリー用プラグインの1つです。

お使いの方は、バージョンの確認をすることを推奨します。

脆弱性はすでにアップデートによって修正済みで、バージョン1.3.36以上への更新によって塞ぐことができます。
(※2017年6月12日現在の最新版はバージョン1.3.44ですのでこちらの最新版への更新をお勧めします。)

 

2つ目は、アクティブインストール9万以上、総ダウンロード数106万以上のプラグイン『Download Monitor』に認証バイパス関連の脆弱性が発生しております。

このプラグインは、ファイルのダウンロード回数をカウントするプラグインです。

お使いの方は、バージョンの確認をすることを推奨します。

脆弱性はすでにアップデートによって修正済みで、バージョン1.9.7以上への更新によって塞ぐことができます。
(※2017年6月12日現在の最新版バージョンです)

その他ご利用中の方が多い以下の人気プラグインにおいて脆弱性が発見されたため旧バージョンをご利用中の方は最新のプラグインにアップデートされることをお勧めいたします。

  • WordPress Button Plugin MaxButtonsにてクロスサイトスクリプティング(XSS)
  • Tracking Code Managerにてクロスサイトスクリプティング(XSS)とクロスサイトリクエストフォージェリ(CSRF)
  • Login with AJAX Pluginにてクロスサイトスクリプティング(XSS)
  • All In One Schema.org Rich Snippetsにてクロスサイトスクリプティング(XSS)
  • User Access Managerにてクロスサイトスクリプティング(XSS)

内容別レポート

脆弱性の内容別発生件数は、1位がXSSで16件、2位がUPLOADで8件、3位がCSRFとSQLインジェクションでそれぞれ7件でした。

トピックス

4月度と比較して、脆弱性の総数が減少しております。そのため1位のXSSはかなり減少しております。しかし2位以下に関しましては、増加している状況です。

脆弱性一覧

2017年5月の脆弱性一覧をまとめましたのでご参照ください。

以下リストに掲載されている本体バージョン、テーマ、プラグインがある方は、一度診断されることをお勧めいたします。

脆弱性分類ですが、掲載時点の内容の為、ご確認いただく時点で内容不明の分類が変更されている可能性もございますので、それもKYUBIにて最新の状態をご確認いただくことをお勧めします。

また、ご確認のタイミングによっては新たな脆弱性が発見されている可能性もございますので、こちらもKYUBIにて一度ご診断していただくことをお勧めします。

また、バージョンに関しましては、脆弱性情報が発見されたものを記載しておりますが、そのバージョン未満でも同様の脆弱性が発生している可能性がある為、最新版に更新することをお勧めしております。

但し、最新版でも脆弱性内容が修正されていないプラグインも少なからず存在しておりますので、対策されていないプラグインをご利用の方は、ご利用を控えるか、別の同様のプラグインに変更されることをお勧めします。

表:2017年5月度脆弱性一覧

発見個所 脆弱性分類 脆弱性のある本体・プラグイン・テーマの名称 発見されたVer.
プラグイン XSS WP Booking System 1.3.3
プラグイン SQLi WordPress Facebook 1.0.13
プラグイン XSS WordPress Button Plugin MaxButtons 6.18
本体 REDIRECT WordPress 2.7.0-4.7.4
本体 BYPASS WordPress 2.5.0-4.7.4
本体 BYPASS WordPress 3.4.0-4.7.4
本体 CSRF WordPress 2.5.0-4.7.4
本体 XSS WordPress 3.3-4.7.4
本体 XSS WordPress 3.4.0-4.7.4
プラグイン XSS User Access Manager 2.0.8
プラグイン XSS Ultimate Addons for Visual Composer 3.16.11
プラグイン CSRF Ultimate Addons for Visual Composer 3.16.11
プラグイン RCE Ultimate Addons for Visual Composer 3.16.11
プラグイン XSS Tracking Code Manager
プラグイン CSRF Tracking Code Manager
プラグイン SQLi Surveys 1.01.8
プラグイン UPLOAD SiteBuilder Dynamic Components 1.0
プラグイン UPLOAD Row Seats Core 2.66
プラグイン UPLOAD Referrer Detector 4.2.1.0
プラグイン XSS Raygun4WP 1.8.0
プラグイン SQLi Photo Gallery by WD 1.3.35
プラグイン UPLOAD NextGEN Gallery geo 1.0
プラグイン XSS Newsletter by Supsystic 1.1.8
プラグイン UPLOAD My Geo Posts Free 1.2
プラグイン XSS MSMC
プラグイン CSRF MSMC
プラグイン XSS Login with AJAX Plugin 3.1.6
プラグイン CSRF LayerSlider 6.2.0
プラグイン XSS LayerSlider 6.2.0
プラグイン SQLi LayerSlider 6.2.0
プラグイン UPLOAD Gravitate QA Tracker 1.2.1
プラグイン UPLOAD flickr-picture-backup 0.7
プラグイン SQLi eventr 1.02.2
プラグイン SQLi Easy Team Manager 1.3.2
プラグイン AUTHBYPASS Download Monitor 1.9.6
プラグイン CSRF Clean Login 1.7.12
プラグイン SQLi Calendar by WD 1.5.51
テーマ XSS Avada Theme 5.1.4
テーマ CSRF Avada Theme 5.1.4
プラグイン XSS Answer My Question 1.3
プラグイン XSS All In One Schema.org Rich Snippets 1.4.4
プラグイン UPLOAD AJAX Random Posts 0.3.3
プラグイン XSS AffiliateWP 2.0.9